<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@F23D=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@F208=06</action>
    </script>
  </cheat>

  <cheat desc="Infinite Shots PL1">
    <script state="on">
      <action>temp0 =maincpu.pb@F20C</action>
    </script>
    <script state="run">
      <action condition="(frame % 300 == 0) AND (maincpu.pb@F20C!=temp0 )">maincpu.pb@F20C=00</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@F20A=06</action>
    </script>
  </cheat>

  <cheat desc="Infinite Shots PL2">
    <script state="on">
      <action>temp0 =maincpu.pb@F216</action>
    </script>
    <script state="run">
      <action condition="(frame % 300 == 0) AND (maincpu.pb@F216!=temp0 )">maincpu.pb@F216=00</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
